﻿Imports System.Collections.ObjectModel
Imports ThinkGeo.MapSuite.Layers
Imports ThinkGeo.MapSuite.Shapes


Public Class Form1
  Private Sub Form1_Load(sender As Object, e As EventArgs) Handles Me.Load
    Dim oShapefile As New ShapeFileFeatureLayer("..\..\Data\TopoFeatures.shp", GeoFileReadWriteMode.Read)

    oShapefile.Open()
    Dim oFeatures As Collection(Of Feature) = oShapefile.QueryTools.GetAllFeatures(ReturningColumnsType.NoColumns)

    Try
      Dim oResultFeatures = TopologyValidator.PolygonsMustBeLargerThanClusterTolerance(oFeatures, 0.001)
    Catch ex As Exception
      MessageBox.Show("ERROR: " + ex.Message, "Error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
      Me.Close()
    End Try


  End Sub
End Class
